<?php

// substritutions.class.php
// -------------------------------------------------------------------------------------------------
// Provides general substrition and glossary functions
//
// Project    > dmABS-1.6.A.0
// Revision   > $Rev: 87 $
// Date		  > $Date: 2009-06-30 15:56:01 +0100 (Tue, 30 Jun 2009) $
// Author     > RAK for DML
// Copyright  > (C) Digital Mail Limited (2005-2009)
// -------------------------------------------------------------------------------------------------

define('INFOTEXT_HTML', '<span class="tipcontents">{INFO}</span>');

class Substitutions
{

	var $tc;		// The term count
	var $search;	// Hold the terms to search for
	var $replace;	// Hold the replacements
	var $infotext;	// infotext passed to add_glossry_term method

	// ---------------------------------------------------------------------------------------------

	function Substitutions()
	{
		// CONSTRUCTOR
		
		$this->tc = 0;
		$this->search   = array();
		$this->replace  = array();
		$this->infotext = array();
	}
	
	// ---------------------------------------------------------------------------------------------
	// ---------------------------------------------------------------------------------------------
	// ---------------------------------------------------------------------------------------------

	function substitute($buffer)
	{
		// Substitute {SUB: ... } for values defined in abs_options.php
		// And {GLOS: ... } for terms defined in glossary.php
		
		$output = str_replace($this->search, $this->replace, $buffer);
		return $output;
	}
		
	// ---------------------------------------------------------------------------------------------

	function append($search = array(), $replace = array())
	{
		$this->search 	= array_merge($this->search,   $search);
		$this->replace	= array_merge($this->replace,  $replace);
		$this->tc = count($this->search);
	}
	
	// ---------------------------------------------------------------------------------------------

	function append_from_file($glos_file)
	{
		// Fetch the glossary definition file
		include($glos_file);
	}
	
	// -------------------------------------------------------------------------------------------------

	function prepend($search = array(), $replace = array())
	{
		$this->search  	= array_merge($search, 	$this->search);
		$this->replace 	= array_merge($replace, $this->replace);
		$this->tc = count($this->search);
	}
	
	// ---------------------------------------------------------------------------------------------

	function add_glossary_term($term, $html, $infotext)
	{
		$find = "{GLOS:$term}";
		$replace = $html ? $html : str_replace('_', ' ', $term);
		if ($infotext)
		{
			if (substr($html, 0, 4) == '<img')
			{
				// Attach infotext to the image
				// $replace = '<span class="infotext nu">' . $html . INFOTEXT_HTML . '</span>';
				$replace = preg_replace('/<img\s+(.*?)>/', '<img \1 class="infotext" />' . INFOTEXT_HTML, $replace);
			}
			else
			{
				$replace = '<span class="infotext">' . $replace . INFOTEXT_HTML . '</span>';
			}
			$replace = str_replace('{INFO}', $infotext, $replace);
		}
		$this->search[$this->tc]   = $find;
		$this->replace[$this->tc]  = $replace;
		$this->infotext[$this->tc] = $infotext;
		$this->tc++;
	}

	// -------------------------------------------------------------------------------------------------

}

?>